View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012508CMakeCMakepublic2011-10-10 07:002011-12-16 17:21
ReporterDavid Coppa 
Assigned ToAlex Neundorf 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOpenBSDOS Version
Product VersionCMake 2.8.6 
Target VersionCMake 2.8.7Fixed in VersionCMake 2.8.7 
Summary0012508: Cosmetic fix for cmake configure (Tests/FindPackageModeMakefileTest/CMakeLists.txt)
DescriptionOn OpenBSD, during bootstrap for cmake 2.8.6, you have the following output:

<...>
-- Looking for a Fortran compiler
-- Looking for a Fortran compiler - /usr/local/bin/g77
make: unknown option -- v
usage: make [-BeiknPqrSst] [-D variable] [-d flags] [-f makefile]
            [-I directory] [-j max_jobs] [-m directory] [-V variable]
            [NAME=value] [target ...]
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
<...>

That's ugly to see. The attached diff fixes this "issue".
I think it's acceptable, since GNU make sends its "-v" output to stdout.


diff --git a/Tests/FindPackageModeMakefileTest/CMakeLists.txt b/Tests/FindPackageModeMakefileTest/CMakeLists.txt
index def8d63..3674f0e 100644
--- a/Tests/FindPackageModeMakefileTest/CMakeLists.txt
+++ b/Tests/FindPackageModeMakefileTest/CMakeLists.txt
@@ -7,6 +7,7 @@ if(UNIX AND "${CMAKE_GENERATOR}" MATCHES "Makefile")
   # is AFAIK a GNU make extension. Alex
   execute_process(COMMAND ${CMAKE_MAKE_PROGRAM} -v
                   OUTPUT_VARIABLE makeVersionOutput
+ ERROR_QUIET
                   TIMEOUT 10)
   string(TOUPPER "${makeVersionOutput}" MAKE_VERSION_OUTPUT)
   if("${MAKE_VERSION_OUTPUT}" MATCHES ".*GNU MAKE.*")

TagsNo tags attached.
Attached Filesdiff file icon FindPackageModeMakefileTest.diff [^] (759 bytes) 2011-10-10 07:00 [Show Content]

 Relationships

  Notes
(0027574)
Alex Neundorf (developer)
2011-10-12 16:26

Thanks, I committed the patch and merged it into next.

Alex

 Issue History
Date Modified Username Field Change
2011-10-10 07:00 David Coppa New Issue
2011-10-10 07:00 David Coppa File Added: FindPackageModeMakefileTest.diff
2011-10-10 09:27 Brad King Assigned To => Alex Neundorf
2011-10-10 09:27 Brad King Status new => assigned
2011-10-12 16:26 Alex Neundorf Note Added: 0027574
2011-10-12 16:26 Alex Neundorf Status assigned => closed
2011-10-12 16:26 Alex Neundorf Resolution open => fixed
2011-10-12 16:26 Alex Neundorf Description Updated
2011-12-16 17:21 David Cole Fixed in Version => CMake 2.8.7
2011-12-16 17:21 David Cole Target Version => CMake 2.8.7


Copyright © 2000 - 2018 MantisBT Team